<div class="offer-card" [class]="data?.style?.template">
  <div class="header">
    <img
      class="header__icon"
      [src]="iconPath + data?.style?.icon"
      alt="offer"
    />
    <div class="header__title-container">
      <h2 class="title">{{ data?.name }}</h2>
      <img
        class="icon"
        src="app/presentation/assets/img/icons/edit-circle.svg"
        alt="edit offer"
      />
    </div>
    <p class="offers-count">
      {{ data?.number_of_offers }}
      {{
        "PRODUCT_CATALOGUE.PRODUCTS_AND_OFFERS.PRODUCTS.PRODUCT_CARD.OFFERS_COUNTER"
          | translate
      }}
    </p>
    <p class="product-id">
      {{
        "PRODUCT_CATALOGUE.PRODUCTS_AND_OFFERS.PRODUCTS.PRODUCT_CARD.PRODUCT_ID"
          | translate
      }}: {{ data?.reference }}
    </p>
  </div>

  <div class="body">
    <ng-container *ngIf="data?.offers?.length; else emptyStateOffers">
      <offers
        [offers]="data?.offers"
        [offersDisplayed]="data?.offersDisplayed"
        [numberOfOffers]="data?.number_of_offers"
        (showMoreOffers)="onShowMoreOffers()"
      ></offers>
    </ng-container>

    <ng-template #emptyStateOffers>
      <div class="empty">
        <p class="empty-msg">
          {{
            "PRODUCT_CATALOGUE.PRODUCTS_AND_OFFERS.PRODUCTS.PRODUCT_CARD.EMPTY"
              | translate
          }}
        </p>
      </div>
    </ng-template>

    <div class="body__buttons">
      <mo-button
        [text]="
          'PRODUCT_CATALOGUE.PRODUCTS_AND_OFFERS.PRODUCTS.PRODUCT_CARD.BTN_CREATE_NEW_OFFER'
            | translate
        "
        [designClass]="BUTTON_DESIGN_CLASS.DARK_GREEN"
        [size]="SIZES.MD"
        [routerLink]="urlCreateNewOffer"
        *ngIf="CAN_CREATE_NEW_OFFER"
      >
      </mo-button>
      <mo-button
        [text]="
          'PRODUCT_CATALOGUE.PRODUCTS_AND_OFFERS.PRODUCTS.PRODUCT_CARD.BTN_VIEW_PRODUCT_DETAILS'
            | translate
        "
        [designClass]="BUTTON_DESIGN_CLASS.OUTLINE_PRIMARY_DARK"
        [size]="SIZES.MD"
        (click)="onGoToProductProfile()"
      >
      </mo-button>
    </div>
  </div>
</div>
